<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');

$document = JFactory::getDocument();
if ($this->expparams->get('c_admanager_useradd_showgooglemaps')) {
    if ($this->form->getValue('latitude') && $this->form->getValue('longitude')) {
        $lat = $this->form->getValue('latitude');
        $long = $this->form->getValue('longitude');
        $zoom = $this->expparams->get('c_admanager_useradd_googlemaps_zoomstreet');
    } else {
        $lat = $this->expparams->get('c_admanager_useradd_googlemaps_latdef');
        $long = $this->expparams->get('c_admanager_useradd_googlemaps_longdef');
        $zoom = $this->expparams->get('c_admanager_useradd_googlemaps_zoomdef');
    }
    $expzoombycst = $this->expparams->get('c_admanager_useradd_googlemaps_zoomcst');
    $expzoombystreet = $this->expparams->get('c_admanager_useradd_googlemaps_zoomstreet');
    $expgooglewidth = $this->expparams->get('c_admanager_useradd_googlemaps_width');
    $expgoogleheight = $this->expparams->get('c_admanager_useradd_googlemaps_height');

    $document->addScript('http://maps.google.com/maps/api/js?sensor=false');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expgooglemap.js');
    $script = '';
    $script .= "
        var explat=$lat;
        var explong =$long;
        var expzoom =$zoom;
        var expzoombycst =$expzoombycst;
        var expzoombystreet =$expzoombystreet;
        var expclick = 1;
        var expmapTypeId = google.maps.MapTypeId." . $this->expparams->get('c_general_gmapmaptypeid') . ";
        var latid = 'jform_latitude';
        var longid = 'jform_longitude';
        var expalert = '" . JText::_('COM_EXPAUTOSPRO_GOOGLEMAP_ALERT_TEXT') . "';
        var exp_map_canvas = 'exp_map_canvas';
                ";

    $document->addScriptDeclaration($script);
}
?>
<script type="text/javascript" src="components/com_expautospro/assets/js/jquery.validate.min.js"></script>
<script type="text/javascript">
    Joomla.submitbutton = function(task){
        if(jQuery('#expautosprocat-form').validate().form() == true || task == 'expuser.cancel'){
            Joomla.submitform(task, document.getElementById('expautosprocat-form'));
        }else{
            return false;
        }
    }
</script>
<div class="well well-small">
    <form action="<?php echo JRoute::_('index.php?option=com_expautospro&layout=edit&id=' . (int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="expautosprocat-form" class="form-validate form-horizontal">
        <div class="row-fluid">  
            <div class="span8">
                <fieldset class="adminform">
                    <legend><?php echo empty($this->item->id) ? JText::_('COM_EXPAUTOSPRO_USER_NEW_TITLE') : JText::sprintf('COM_EXPAUTOSPRO_USER_EDIT_TITLE', $this->item->id); ?></legend>
                    <div class="control-group">
                        <label class="control-label" for="userid"><?php echo $this->form->getLabel('userid'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('userid'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="lastname"><?php echo $this->form->getLabel('lastname'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('lastname'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="companyname"><?php echo $this->form->getLabel('companyname'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('companyname'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="country"><?php echo $this->form->getLabel('country'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('country'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="expstate"><?php echo $this->form->getLabel('expstate'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('expstate'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="city"><?php echo $this->form->getLabel('city'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('city'); ?></div>
                    </div>

                    <?php
                    if ($this->expparams->get('c_admanager_useradd_showgooglemaps')) {
                        $this->form->setFieldAttribute('street', 'onchange', 'codeStreet(this.value);return false;');
                        $this->form->setFieldAttribute('latitude', 'onchange', 'codeStreet(this.value);return false;');
                        $this->form->setFieldAttribute('longitude', 'onchange', 'codeStreet(this.value);return false;');
                    }
                    ?>
                    <div class="control-group">
                        <label class="control-label" for="street"><?php echo $this->form->getLabel('street'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('street'); ?></div>
                    </div>
                    <?php
                    $this->form->setFieldAttribute('latitude', 'onchange', 'findLangLong();return false;');
                    $this->form->setFieldAttribute('longitude', 'onchange', 'findLangLong();return false;');
                    ?>
                    <div class="control-group">
                        <label class="control-label" for="latitude"><?php echo $this->form->getLabel('latitude'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('latitude'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="longitude"><?php echo $this->form->getLabel('longitude'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('longitude'); ?></div>
                    </div>
                    <?php if ($this->expparams->get('c_admanager_useradd_showgooglemaps')): ?> 
                        <div class="clr"></div>
                        <div id="exp_map_canvas" style="width: <?php echo $expgooglewidth; ?>px; height: <?php echo $expgoogleheight; ?>px;"></div>
                        <div class="clr"></div>
                        <br />
                    <?php endif; ?>
                    <div class="control-group">
                        <label class="control-label" for="web"><?php echo $this->form->getLabel('web'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('web'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="phone"><?php echo $this->form->getLabel('phone'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('phone'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="mobphone"><?php echo $this->form->getLabel('mobphone'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('mobphone'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="fax"><?php echo $this->form->getLabel('fax'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('fax'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="zipcode"><?php echo $this->form->getLabel('zipcode'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('zipcode'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="logo"><?php echo $this->form->getLabel('logo'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('logo'); ?></div>
                    </div>
                    <div class="clr"></div>
                    <?php echo $this->loadTemplate('params'); ?>
                    <div class="clr"></div>
                    <div class="control-group">
                        <label class="control-label" for="userinfo"><?php echo $this->form->getLabel('userinfo'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('userinfo'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="emailstyle"><?php echo $this->form->getLabel('emailstyle'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('emailstyle'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="ucommercial"><?php echo $this->form->getLabel('ucommercial'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('ucommercial'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="utop"><?php echo $this->form->getLabel('utop'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('utop'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="uspecial"><?php echo $this->form->getLabel('uspecial'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('uspecial'); ?></div>
                    </div>

                    <div class="control-group">
                        <label class="control-label" for="state"><?php echo $this->form->getLabel('state'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('state'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="ordering"><?php echo $this->form->getLabel('ordering'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('ordering'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="language"><?php echo $this->form->getLabel('language'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('language'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="id"><?php echo $this->form->getLabel('id'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('id'); ?></div>
                    </div>
                </fieldset>
            </div>
            <div class="span4">
            </div>
        </div>
        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>
        <div class="clr"></div>
    </form>
</div>
<script type="text/javascript" src="components/com_expautospro/assets/js/jqexpsearch.js"></script>