<?php

/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */


defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
require_once JPATH_SITE . '/components/com_expautospro/helpers/expparams.php';

class JFormFieldExpfile extends JFormField {

    /**
     * The form field type.
     *
     * @var		string
     * @since	1.6
     */
    protected $type = 'Expfile';

    /**
     * Method to get the field options.
     *
     * @return	array	The field option objects.
     * @since	1.6
     */
    public function getInput() {
        $expparams = ExpAutosProExpparams::getExpParams('config', 1);
        $expmobenable = $expparams->get('c_admanager_useradd_usemobile', 0);
        $mob_return = null;
        if ($expmobenable) {
            $mob_return = ExpAutosProExpparams::expmobile_detect();
        }
        $table_id = (int) $this->form->getValue('id');
        $result = ExpAutosProExpparams::getExpParams('admanager', $table_id);
        $result = $result->get('expfile');
        if ($result) {
            $logoimg = '';
            if($mob_return) {
                $logoimg .= '<li><span class="readonly">';
                $logoimg .= '<a href="' . ExpAutosProExpparams::FilesUrlPatch() . $result . '" target="_blank">' . $result . '</a>';
                $logoimg .= '</span>';
                $logoimg .='<label id="jform_delete_photo-lbl" for="jform_delete_photo">';
                $logoimg .= JText::_('COM_EXPAUTOSPRO_CP_USER_DELETEFILE_TEXT');
                $logoimg .='<input  data-mini="true" id="expdeletefile" type="checkbox" class="custom" name="delete_expfile"/>';
                $logoimg .='</label>';
                $logoimg .= "</li>";
                $logoimg .= "<input type='hidden' name='expfile_name' value='" . $result . "' />";
            } else {
                $logoimg .= '<li><span class="readonly">';
                $logoimg .= '<a href="' . ExpAutosProExpparams::FilesUrlPatch() . $result . '" target="_blank">' . $result . '</a>';
                $logoimg .= '</span></li>';
                $logoimg .= '<li>';
                $logoimg .='<label id="jform_delete_photo-lbl" for="jform_delete_photo" title="">';
                $logoimg .= JText::_('COM_EXPAUTOSPRO_CP_USER_DELETEFILE_TEXT');
                $logoimg .='<input type="checkbox" name="delete_expfile"/>';
                $logoimg .='</label>';
                $logoimg .= "</li>";
                $logoimg .= "<input type='hidden' name='expfile_name' value='" . $result . "' />";
            }
        } else {
            $logoimg = '<li><input type="file" name="expfile" value="" /></li>';
        }
        return $logoimg;
    }

}